Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 470082 - SystemSearch is clearing entries in System Set Manager
Summary: SystemSearch is clearing entries in System Set Manager
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Matthews
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-05 17:35 UTC by John Matthews
Modified: 2009-01-22 16:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:16 UTC


Attachments (Terms of Use)

Description John Matthews 2008-11-05 17:35:58 UTC
Description of problem:
System search (Advanced Search under systems) is clearing the entries in the system set manager.


Version-Release number of selected component (if applicable):

spacewalk-search-0.3.5-1.el5.sw.noarch.rpm

How reproducible:

Always

Steps to Reproduce:
1. Systems select several systems so they are in the system set manager
2. Verify that upper right hand corner says something like "5 Systems Selected"
3. Go to "Systems->Advanced Search"
4. Notice that upper right corner still says "5 Systems Selected"
5. Perform any search
6. Notice that upper right corner NOW says "No Systems Selected"
  

Actual results:

System Set Manager is cleared after a search.  This also breaks searches inside of System Set Manager.

Expected results:

System Set Manager should not be cleared.

Additional info:

Comment 1 Clifford Perry 2008-11-05 17:42:47 UTC
pretty bad regression in behavior. I would like this fixed within the next week if possible. 

I suggest fix goes into master and spacewalk 0.3 git branch. We track this, rebuild 0.3 packages, test and then push fixed package(s) once available to 0.3 repo. 

Cliff

Comment 2 John Matthews 2008-11-05 18:38:58 UTC
Fix in RELEASE-0.3 branch

http://git.fedoraproject.org/git/?p=spacewalk.git;a=commit;
h=eb27dd51dfe14976e0b4771773cbf0727d3ac9e0

Comment 4 Jesus M. Rodriguez 2009-01-15 04:23:48 UTC
System Set Manager is no longer affected.


Note You need to log in before you can comment on or make changes to this bug.